Subject: Re: Problem with making shared library in GnuWin
From: [email-masked] (Gary V. Vaughan)

3 Nov 1998 03:02:49 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Jorrit Tyberghein <[email-masked]>
Cc: [email-masked]

Jorrit Tyberghein wrote:
> 
> Hi,
> 
> I have CygWin B19.1 and EGCS 1.1.
> 
> I'm trying to make a shared library. 
>
> [[snip]]
>
> g++  -Wl -shared -o softrndr.so [[snip]]
>
> So how does one create shared libraries with EGCS 1.1 then?

"Shared" libraries under win32 come in two halves, a jump table library
for the linker with a .a extension (yes this makes it hard for static
and shared libraries to coexist like they can with UNIX), and a run
time loadable library with a .dll extension.

My b20 has another 1h30m to run =(O| so I can't tell you how exactly it
works there yet;  for b19, Mumit Khan distributes a package called
dllhelper from his web pages which has instructions and examples for
dynamic library building.

In the near future, libtool should be able to make the differences
between win32 dlls and UNIX .so's more opaque (patches are being ironed
out as we speak).

Cheers,
	Gary V. Vaughan/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".